# Uses of Enum Class
org.apache.sysds.lops.SortKeys.OperationTypes

Packages that use SortKeys.OperationTypes
Package
Description
org.apache.sysds.lops

## Uses of SortKeys.OperationTypes in org.apache.sysds.lops

Methods in org.apache.sysds.lops that return SortKeys.OperationTypes
Modifier and Type
Method
Description
`SortKeys.OperationTypes`
SortKeys.`getOpType()`
`static SortKeys.OperationTypes`
SortKeys.OperationTypes.`valueOf(String name)`
Returns the enum constant of this class with the specified name.
`static SortKeys.OperationTypes[]`
SortKeys.OperationTypes.`values()`
Returns an array containing the constants of this enum class, in the order they are declared.
Methods in org.apache.sysds.lops with parameters of type SortKeys.OperationTypes
Modifier and Type
Method
Description
`static SortKeys`
SortKeys.`constructSortByValueLop(Lop input1, Lop input2, SortKeys.OperationTypes op, Types.DataType dt, Types.ValueType vt, Types.ExecType et, int numThreads)`
`static SortKeys`
SortKeys.`constructSortByValueLop(Lop input1, SortKeys.OperationTypes op, Types.DataType dt, Types.ValueType vt, Types.ExecType et, int numThreads)`
Constructors in org.apache.sysds.lops with parameters of type SortKeys.OperationTypes
Modifier
Constructor
Description
``
`SortKeys(Lop input, boolean desc, SortKeys.OperationTypes op, Types.DataType dt, Types.ValueType vt, Types.ExecType et)`
``
`SortKeys(Lop input1, Lop input2, SortKeys.OperationTypes op, Types.DataType dt, Types.ValueType vt, Types.ExecType et, int numThreads)`
``
`SortKeys(Lop input, SortKeys.OperationTypes op, Types.DataType dt, Types.ValueType vt, Types.ExecType et, int numThreads)`